<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::XMLDocument Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#ad3f14c02d9c64abed8fc7b41f399afe6">AddChild</a>(XMLDocument)</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a3fa4567a3c353ecf82c798ea6a3746c1">GetAttributes</a>() const -&gt; const Attributes &amp;</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#ab3307ad181f7c3fe01039755b6c90443">GetChildren</a>() const -&gt; const std::vector&lt; XMLDocument &gt; &amp;</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a406b523274a43def875834ca9e1893c1">GetChildren</a>() -&gt; std::vector&lt; XMLDocument &gt; &amp;</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a1a399757e1e371f07154c606bed1199e">GetContent</a>() const -&gt; const std::string &amp;</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a7acdd509f5c9417138d9a5bfc161fc5a">GetName</a>() const -&gt; const std::string &amp;</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#ac141b684643d2826c25b704c197eb7a4">LoadFromFile</a>(const std::string &amp;) -&gt; XMLDocument</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a859620ce17eed3d46de08b08e540a66e">RemoveChild</a>(int i)</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a2874c3134eb2b862532876a06d1fdb4a">SaveToFile</a>(const XMLDocument &amp;, const std::string &amp;)</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a876cb3c42d4dfd9b28634ce54fefdb17">XMLDocument</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a02ab9b46a49f31b8d7405435136d7257">XMLDocument</a>(std::string name, Attributes attributes, std::string content)</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#a47ac0d9ae4d87ee9a7d2c2271991e9e1">XMLDocument</a>(std::string name, Attributes attributes, std::string content, std::vector&lt; XMLDocument &gt; children)</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html#ae8db8c5250eb6ebe7c0bdb953729940c">~XMLDocument</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
